@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
html, body {
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif !important;
}
h1 {
  margin: 0;
  padding: 0;
  font-size: 22px !important;
  font-weight: bold !important;
}
h2 {
  margin: 0;
  padding: 0;
  font-size: 18px !important;
  font-weight: bold !important;
}
.content {
  background-color: #f5f7fa;
}
.b-table {
  font-size: 12px;
}
.b-table th, .b-table td {
  vertical-align: middle !important;
}
.noselect {
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Old versions of Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
}
.b-table-sticky-header > .table.b-table > thead > tr > th {
  position: sticky !important;
}
.fade-enter-active, .fade-leave-active { transition: opacity .2s; }
.fade-enter, .fade-leave-active { opacity: 0; }
.font-size-18 {
  font-size: 18px;
}
.button {
  border-radius: 8px;
  background-color: white;
  border: 1px solid #cccccc;
  padding: 5px 16px;
  transition: 0.2s;
  text-decoration: none;
  white-space: nowrap;
  display: inline-block;
  margin-top: 2px;
}
.button.button-block {
  display: block;
}
.button:hover {
  background-color: rgb(238, 238, 238);
}
.button-violet {
  background-color: rgb(117, 0, 250);
  color: white;
  border: 1px solid rgba(0,0,0,0);
}
.button-violet:hover {
  background-color: rgb(68, 0, 146);
}
.button-small {
  padding: 4px 10px;
  font-size: 13px;
  border-radius: 4px;
}
.button-extra-small {
  padding: 2px 4px 1px 4px !important;
  font-size: 11px !important;
  border-radius: 4px;
}
.b-table-border {
  border-radius: 8px;
  border: 1px solid #dee2e6;
  overflow: hidden;
}
.b-table-border-radius {
  border-radius: 8px;
  overflow: hidden;
}
.b-table th, .b-table td {
  padding: 0.5rem 1rem !important;
}
.b-table td.td-relative {
  position: relative;
}
.b-table .td-gradient {
  position: absolute; left: 0; top: 0; width: 100%; height: 100%; padding: 12px 16px;
  display: flex;
  align-items: center;
}
table.full {
  width: 100%;
  font-size: 14px;
  border-collapse: collapse;
  border-top: 1px solid #dfdfe5;
  border-left: 1px solid #dfdfe5;
}
table.full th {
  background-color: #fafafa;
  text-align: center;
  padding: 10px;
  border-right: 1px solid #dfdfe5;
  border-bottom: 1px solid #dfdfe5;
}
table.full .td-right {
  text-align: right;
}
table.full td {
  text-align: center;
  padding: 10px;
  border-right: 1px solid #dfdfe5;
  border-bottom: 1px solid #dfdfe5;
}
.td-label {
  padding: 0 !important;
}
.b-table td.td-label {
  padding: 0 !important;
}
.td-label label {
  display: flex;
  width: 100%;
  height: 100%;
  cursor: pointer;
  padding: 10px 0;
  text-align: center;
  align-items: center;
  justify-content: center;
}
.td-label label:hover {
  background-color: #fafafa;
}
.pgreen {
  color: #70b861;
}
.pred {
  color: #e55353;
}
.pgrey {
  color: #969696;
}
.link-text {
  border-bottom: 1px dashed rgba(0,0,0,0.5);
  cursor: pointer;
  text-decoration: none;
}
.no-wrap {
  text-wrap: nowrap;
}
legend {
  font-size: 11px !important;
  opacity: 0.65;
  cursor: default;
}
